post
https://organization/v1/registration-codes
Create a new Registration Code by Template id
(*)This parameter is mandatory only if its optional parent attribute is defined. Click here for more information.
Request Body Parameters:
| Parameter | Type | Mandatory | Description | Example |
|---|---|---|---|---|
| <customAttribute1> | <customAttribute1Type> | false | Regular custom attribute 1 value | |
| <customAttributeN> | <customAttributeNType> | false | Regular custom attribute N value | |
| _code | string | true | The registration code entity that is attached to the device | RegistrationCode123 |
| _ownerOrganization | object | true | ||
| _ownerOrganization.id | string | true(*) | ||
| _templateId | string | true | The id of a template that is configured in the settings service. | 3fa85f64-5717-4562-b3fc-2c963f66afa6 |
| Query Parameters: |
| Parameter | Type | Mandatory | Description | Example |
|---|---|---|---|---|
| includeReferencers | boolean | false | Optional query parameter that controls whether the response should include referencers metadata. When set to true, the response will contain an additional _referencers JSON node with information about entities that reference this entity (e.g. referrer template, attribute, count, etc.).If this query parameter is not provided, a default behavior will be applied. The default value is configurable and may differ between environments. Note: Enabling referencers information may impact performance, as additional data needs to be resolved and returned. |
This API requires PROTECTED_API permission(s).
